{# templates/get.jinja2 #}
    result = dict(comment=[], ret=None, result=True)

    {%  if function.hardcoded.boto3_function %}
    # TODO: Map `resource_id` to correct identifier. Check boto3 documentation: {{ function.hardcoded.boto3_documentation }}
    get = await {{ function.hardcoded.boto3_function }}(
        ctx=ctx,
        **{{ parameter.mapping.kwargs|default({}) }}
    )
    {% else %}
    # TODO: Failed to determine GET function
    # Read documentation: {{ function.hardcoded.boto3_documentation }}
    get = {}
    {% endif %}

    # Case: Error
    if not get["result"]:
        # Do not return success=false when it is not found.
        # Most of the resources would return "*NotFound*" type of exception when it is 404
        # TODO: Check and validate 'NotFound' type of exception in boto3 documentation: {{ function.hardcoded.boto3_documentation }}
        if "NotFound" in str(get["comment"]):
            result["comment"].append(
                hub.tool.aws.comment_utils.get_empty_comment(
                    resource_type="aws.{{ function.hardcoded.aws_service_name }}.{{ function.hardcoded.resource_name }}",
                    name=resource_id
                )
            )
            result["comment"].append(get["comment"])
            return result

        result["comment"].append(get["comment"])
        result["result"] = False
        return result

    # Case: Empty results
    if not get["ret"]:
        result["comment"].append(
            hub.tool.aws.comment_utils.get_empty_comment(
                resource_type="aws.{{ function.hardcoded.aws_service_name }}.{{ function.hardcoded.resource_name }}",
                name=resource_id
            )
        )
        return result

    {% if function.hardcoded.response_key %}
    if len(get["ret"]["{{ function.hardcoded.response_key }}"]) > 1:
        result["comment"].append(
            hub.tool.aws.comment_utils.find_more_than_one(
                resource_id=resource_id, resource_type="aws.{{ function.hardcoded.aws_service_name }}.{{ function.hardcoded.resource_name }}"
            )
        )

    raw_resource = get["ret"]["{{ function.hardcoded.response_key }}"][0]
    {% else %}
    raw_resource = get["ret"]
    {% endif %}
    # Possible Resource attributes: {{ function.hardcoded.resource_attributes }}
    result["ret"] = await hub.tool.aws.{{ function.hardcoded.aws_service_name }}.{{ function.hardcoded.resource_name }}.convert_raw_resource_to_present_async(
        ctx=ctx,
        resource_id=resource_id,
        raw_resource=raw_resource,
        idem_resource_name=name
    )

    return result
